#include <stdio.h>
#include <stdlib.h>


void foodfight() {
   int hp = 50;              /* Player's hit points */
   int scour = 0;            /* Number of hits */

   while(hp > 0) {           /* While I'm alive */
      int input;

      /* Display everyone's status */
      printf("Your hit points: %i\n", hp);
      printf("Your scour: %i hits\n", scour);
      printf("\n");          /* Extra line for spacing */

      /* Display the player's options */
      printf("1. Throw a pizza slice.\n");
      printf("2. Eat a pizza slice.\n");
      printf("3. Chicken out.\n");
      printf("\n");          /* Extra line for spacing */

      /* Ask the player what s/he wants to do */
      printf("What would you like to do? ");
      scanf("%i", &input);

      /* Player makes a choice */
      if(input == 1) {                 /* Throw a pizza */
         printf("You throw a pizza!\n");
         scour = scour + rand() / (RAND_MAX/2);
      }
      else if(input == 2) {
         printf("You eat a slice of pizza!\n");
         printf("HP up!\n");
         hp = hp + rand() / (RAND_MAX/10);
      }
      else if(input == 3) {
         printf("Someone throws a pizza pan from behind!\n");
         printf("A direct hit!\n");
         break;
      }
      else {
         printf("Invalid option: %i\n", input);
      }

      /* Someone attacks! */
      printf("Someone attacks the player!\n");
      hp = hp - rand() / (RAND_MAX / 8);
      if(hp < 0) break;
   } /* while(hp > 0) */

   printf("You faint into the darkness...\n");
   printf("Your scour: %i hits\n", scour);
   printf("The End.\n");
}


int main() {
   int input;

   /* Startup credits */
   printf("LUGOD Adventures\n");
   printf("Copyright (c)1999 Linux Users Group of Davis\n");
   printf("http://www.lugod.org/\n");

   printf("\n");        /* Extra line for spacing */

   printf("You suddenly wake up in a corner room at a pizza place.\n");
   printf("It is filled with many people, all sitting at separate tables,\n");
   printf("and all attentively listening to someone in front\n");
   printf("who appears to be a speaker.  There are two people on your table,\n");
   printf("one wearing a penguin suit and one wearing a red hat.  How tacky,\n");
   printf("you think to yourself.  There is also a medium-sized pizza in\n");
   printf("front of you.\n");

   input = 0;              /* Assign 0 to input */
   while(input < 3) {
      printf("\n");        /* Extra line for spacing */

      printf("1. Ask the penguin what this place is called.\n");
      printf("2. Ask the red hat what this meeting is about.\n");
      printf("3. Pickup the pizza and throw it at the penguin.\n");
      printf("4. Pickup the pizza and throw it at the red hat.\n");
      printf("5. Pickup the pizza and throw it at the speaker.\n");

      printf("\n");        /* Extra line for spacing */

      printf("What do you want to do? ");       /* Ask the player what to do */
      scanf("%i", &input);                      /* Input a number */

      if(input == 1)                            /* Player types 1 */
         printf("Penguin: This is Lamppost Pizza!\n");
      else if(input == 2)                       /* Player types 2 */
         printf("Red hat: This is a LUGOD meeting.\n");
      else if(3 == input || input == 4)         /* Player types 3 or 4*/
         printf("Someone yells `FOOD FIGHT!'\n");
      else {                                    /* Player types 5 */
         printf("Your shirt catches on fire.\n");
         printf("You die.\n");
         printf("End of game.\n");
         printf("Serves you right.\n");
         exit(1);
      }
   } /* end while */

   foodfight();

   return 0;
}

